<!DOCTYPE html>
<html lang="en">
    <head>

        <meta charset="utf-8"/>
        <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
        <meta name="description" content="CoreUI - Open Source Bootstrap Admin Template"/>
        <meta name="author" content="Łukasz Holeczek"/>
        <meta name="keyword" content="Bootstrap,Admin,Template,Open,Source,AngularJS,Angular,Angular2,Angular 2,Angular4,Angular 4,jQuery,CSS,HTML,RWD,Dashboard,React,React.js,Vue,Vue.js"/>
        <link rel="shortcut icon" href="img/favicon.ico"/>

        <title>Wings Mobile - Pago de Factura </title>

        <!-- Icons -->
        <link  th:href="${urlBase} + 'css/font-awesome.min.css'" rel="stylesheet">
        <link th:href="${urlBase} + 'css/simple-line-icons.css'" rel="stylesheet">

        <!-- Main styles for this application -->
        <link th:href="${urlBase} + 'css/style.css'" rel="stylesheet">

        <!-- Bootstrap and necessary plugins -->
        <script th:src="${urlBase} + 'bower_components/jquery/dist/jquery.min.js'"></script>
        <script th:src="${urlBase} + 'bower_components/tether/dist/js/tether.min.js'"></script>
        <script th:src="${urlBase} + 'bower_components/bootstrap/dist/js/bootstrap.min.js'"></script>
        <script src="https://payments.tefpay.com/js/iframe.js"></script>

    </head>

    <body class="app">

        <div class="row">
            <div class="col-lg-6 offset-3">
                <br/>    
                <div class="card">
                    <div class="card-header">
                        <i class="fa fa-credit-card"></i> Autorización de tarjetas - Pago de Facturas
                    </div>
                    <div class="card-block">

                        <div th:if="${error != null && error == 'Token Inválido'}">
                            <p class="text-muted">Comuníquese con atención al cliente para obtener un nuevo enlace - Atención al cliente: (+34) 900 838 137 - atencionalcliente@wingsmobile.es</p>
                        </div>

                        <div th:if="${error == null}">
                            <div class="row">
                                <div class="col-12">
                                    <div class="card">
                                        <div class="card-block p-3 clearfix">
                                            <div class="pull-right"><img th:src="@{/img/logo_clean.png}" width="50"/></div>
                                            <h5>Cliente: <strong><span th:text="${invoice.client}"></span></strong></h5>
                                            <div class="h5 text-primary mb-0 mt-2">Monto a pagar: <span th:text="${invoice.getRemainText()}"></span></div>

                                            <div class="row">
                                                <div class="col-6">
                                                    <div class="text-muted font-weight-bold font-xs">Factura: <span th:text="${invoice.invoiceNumber}"></span></div>
                                                    <div class="text-muted font-weight-bold font-xs">Período: <span th:text="${invoice.month + ' - ' + invoice.year}"></span></div>
                                                </div>
                                            </div>


                                            <div class="text-muted font-weight-bold font-xs">Fecha: <span th:text="${invoice.invoiceDate}"></span></div>
                                            <div class="text-muted font-weight-bold font-xs">Vencimiento: <span th:text="${invoice.expireDate}"></span></div>
                                            <div class="text-muted font-weight-bold font-xs">Total Factura: <span th:text="${invoice.getTotalText()}"></span></div>
                                        </div>
                                    </div>
                                </div>                                
                            </div>

                            <div class="card" th:if="${!isResponse}">
                                <div class="card-header">
                                    Complete el formulario siguiente para realizar el pago de su factura.
                                </div>

                                <div class="card-block">
                                    <div id="tefpayBox" class="center-block">
                                        <form id="tefpayData" th:action="${payUrl}">
                                            <input id="Ds_Merchant_Url" name="Ds_Merchant_Url" type="hidden" th:value="${Ds_Merchant_Url}" value="http://localhost/store/wizard?msg=url" />
                                            <input id="Ds_Merchant_UrlOK" name="Ds_Merchant_UrlOK" type="hidden" th:value="${Ds_Merchant_UrlOK}" value="http://localhost/store/wizard?msg=ok"/>
                                            <input id="Ds_Merchant_UrlKO" name="Ds_Merchant_UrlKO" type="hidden" th:value="${Ds_Merchant_UrlKO}" value="http://localhost/store/wizard?msg=error" />
                                            <input id="Ds_Merchant_MerchantCode" name="Ds_Merchant_MerchantCode" type="hidden" th:value="${Ds_Merchant_MerchantCode}" value="V99000231" />
                                            <input id="Ds_Merchant_Amount" name="Ds_Merchant_Amount" type="hidden" th:value="${Ds_Merchant_Amount}" value="0"/>
                                            <input id="Ds_Merchant_MerchantSignature" name="Ds_Merchant_MerchantSignature" type="hidden" th:value="${Ds_Merchant_MerchantSignature}" value="f3ba8a48c0387a029b6c34072de5c592df8495e8" />
                                            <input id="Ds_Merchant_TransactionType" name="Ds_Merchant_TransactionType" type="hidden" th:value="${Ds_Merchant_TransactionType}" value="22" />
                                            <input id="Ds_Merchant_MatchingData" name="Ds_Merchant_MatchingData" type="hidden" th:value="${Ds_Merchant_MatchingData}" value="123456789123456789000" />
                                            <input id="Ds_Merchant_UserName" name="Ds_Merchant_UserName" type="hidden" th:value="${Ds_Merchant_UserName}" value="Test test" />
                                            <input id="Ds_Merchant_Name" name="Ds_Merchant_Name" type="hidden" th:value="${Ds_Merchant_Name}" value="Wings Mobile" />
                                            <input id="Ds_Merchant_Logo" name="Ds_Merchant_Logo" type="hidden" th:value="${Ds_Merchant_Logo}" value="Wings Mobile" />
                                            <input id="Ds_Merchant_Description" name="Ds_Merchant_Description" type="hidden" th:value="${Ds_Merchant_Description}" value="Wings Mobile" />
                                            <input id="Ds_Merchant_Lang" name="Ds_Merchant_Lang" type="hidden" th:value="${Ds_Merchant_Lang}" value="es" />
                                            <input id="Ds_Merchant_Currency" name="Ds_Merchant_Currency" type="hidden" th:value="${Ds_Merchant_Currency}" value="978" />
                                            <input id="Ds_Merchant_TemplateNumber" name="Ds_Merchant_TemplateNumber" type="hidden" value="07" />
                                            <input id="Ds_Merchant_TemplateTheme" name="Ds_Merchant_TemplateTheme" type="hidden" value="white" />
                                            <input id="Ds_Merchant_TemplateFonts" name="Ds_Merchant_TemplateFonts" type="hidden" value="default"/>
                                        </form>
                                    </div>

                                    <script th:inline="javascript">
                                        /*<![CDATA[*/
                                        if (TefpayIframe.init()) {
                                            var url = /*[[${payUrl}]]*/ '';
                                            TefpayIframe.configure(url, "100%");
                                            TefpayIframe.load();
                                        }
                                        /*]]>*/
                                    </script>

                                </div>
                            </div>

                            <div class="card" th:if="${isResponse}">
                                <div class="card-block">

                                    <div id="alertdiv" class="alert alert-success" th:if="${!errorMessage}">
                                        <span th:text="${message}"></span>
                                    </div>

                                    <div id="alertdiv" class="alert alert-danger" th:if="${errorMessage}">
                                        <span th:text="${message}"></span>
                                    </div>

                                </div>
                            </div>

                        </div>

                    </div>
                </div>       

            </div>                
        </div>



    </body>
</html>
